Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		redland
Version:	1.0.12
Release:	1
License:	GNU/GPL 
URL:		http://librdf.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	%{name} RDF Application Framework
BuildRequires:	curl-devel 
BuildRequires:  libxml2-devel
BuildRequires:  libidn-devel
BuildRequires:  libxslt-devel
BuildRequires:  virtuoso
BuildRequires:  libiodbc-devel
BuildRequires:  openldap-devel
BuildRequires:  libssh2-devel
BuildRequires:	cyrus-sasl-devel

BuildRequires:  mpfr-devel
BuildRequires:  gmp-devel

#Automatically resolved build dependencies
BuildRequires: db-devel
BuildRequires: glibc-devel
BuildRequires: mysql-devel
BuildRequires: openssl-devel
BuildRequires: pkg-config
BuildRequires: raptor-devel
#uildRequires: raptor2-devel <- not yet
BuildRequires: rasqal-devel
BuildRequires: sqlite-devel
BuildRequires: zlib-devel

%description
Redland is a set of free software libraries that provide support for the Resource Description Framework (RDF). Features:
Modular, object based libraries written in C.
APIs for manipulating the RDF graph, triples, URIs and Literals.
Triple sequences for efficient streaming and lazy evaluation.
Parsers and Serializers for reading and writing RDF as RDF/XML, N-Triples and Turtle Terse RDF Triple Language, RSS and Atom syntaxes via the Raptor RDF Parser Toolkit.
Storage for graphs in memory, with Sleepycat/Berkeley DB, MySQL 3/4, AKT Triplestore, SQLite, files or URIs.
Querying with SPARQL and RDQL using the Rasqal RDF Query Library.
Redland contexts for managing data aggregation and recording provenance.
Language Bindings in C#, Java, Obj-C, Perl, PHP, Python, Ruby and Tcl via the Redland Bindings package.
Command line utility programs rdfproc (RDF), rapper (parsing) and roqet (query).
Portable, fast and with no known memory leaks.
For more details see: %{url}

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix --enable-release --disable-dependency-tracking --mandir=%_mandir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
#%_bindir/rdfproc
#%_bindir/redland-db-upgrade
#%_libdir/*.so.*
#%_mandir/*
#%_datadir/gtk-doc
#%_datadir/redland/*
%{_bindir}/rdfproc
%{_bindir}/redland-db-upgrade
%{_mandir}/man1/rdfproc.1.gz
%{_mandir}/man1/redland-db-upgrade.1.gz
%{_libdir}/redland
%{_datadir}/redland

%files devel
%defattr(-,root,root)
%{_bindir}/redland-config                                
%{_includedir}/librdf.h                                  
%{_includedir}/rdf_concepts.h                            
%{_includedir}/rdf_digest.h                              
%{_includedir}/rdf_hash.h                                
%{_includedir}/rdf_init.h                                
%{_includedir}/rdf_iterator.h                            
%{_includedir}/rdf_list.h                                
%{_includedir}/rdf_log.h                                 
%{_includedir}/rdf_model.h                               
%{_includedir}/rdf_node.h                                
%{_includedir}/rdf_parser.h                              
%{_includedir}/rdf_query.h                               
%{_includedir}/rdf_raptor.h                              
%{_includedir}/rdf_serializer.h                          
%{_includedir}/rdf_statement.h                           
%{_includedir}/rdf_storage.h                             
%{_includedir}/rdf_storage_module.h                      
%{_includedir}/rdf_stream.h                              
%{_includedir}/rdf_uri.h                                 
%{_includedir}/rdf_utf8.h                                
%{_includedir}/redland.h                                 
%{_libdir}/librdf.a                                      
%{_libdir}/librdf.la                                     
%{_libdir}/librdf.so                                     
%{_libdir}/librdf.so.0                                   
%{_libdir}/librdf.so.0.0.0                               
%{_pkgconfig}/redland.pc                          
%{_datadir}/gtk-doc/html/redland
%{_mandir}/man1/redland-config.1.gz
%{_mandir}/man3/redland.3.gz  

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Oct 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.12-1
- Version update
* Mon Jun 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.10-2
- rebuilt against mysql 5.1.47
* Sun Feb 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.10-1
- Version update
* Fri Aug 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.8-2
- rebuilt
* Thu Jul 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.8-1
- version update
* Mon May 26 2008 Christian Metzen <metzench@ccux-linux.de> 1.0.7-1
- Version update
* Tue May 15 2007 Simon Schmeisser <wrt@ccux-linux.de> 1.0.6-1
- Version update
* Tue May 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- Initial Release
